LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-31-2004, 02:49 PM   #1
jblanco
LQ Newbie
 
Registered: Jan 2004
Distribution: Red Hat 9.0
Posts: 3

Rep: Reputation: 0
Angry MPlayer Installation Problems


If anybody can help me out with this problem, I would greatly appreciate it. I've read all over the forums and can't find this problem. I've updated and upgraded the apt rpm, installed apt-0.5.5cnc6-fr1.i386.rpm, and added the lines to download mplayer, but it still won't install correctly. The output is shown below:

[~]$ sudo apt-get install mplayer
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
aalib alsa-lib atrpms atrpms-package-config directfb faad2 lame libdv
libdvdcss libdvdread libfame libmad libpostproc lirc-lib live lzo
mplayer-fonts mplayer-skin-Blue mplayer-skin-default w32codec xvid

The following NEW packages will be installed:
aalib alsa-lib atrpms atrpms-package-config directfb faad2 lame libdv
libdvdcss libdvdread libfame libmad libpostproc lirc-lib live lzo mplayer
mplayer-fonts mplayer-skin-Blue mplayer-skin-default w32codec xvid

0 packages upgraded, 22 newly installed, 0 removed and 98 not upgraded.
Need to get 0B/25.4MB of archives.
After unpacking 66.8MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Executing RPM (-Uvh)...
warning: /var/cache/apt/archives/aalib_1.4.0-0.rc5.dag.rh90_i386.rpm: V3 DSA signature: NOKEY, key ID 6b8d79e6
warning: /var/cache/apt/archives/alsa-lib_1.0.2-10.rh9.at_i386.rpm: V3 DSA signature: NOKEY, key ID 66534c2b
warning: /var/cache/apt/archives/xvid_2%3a0.9.2-1_i386.rpm: V3 DSA signature: NOKEY, key ID 75aa026a
Preparing... ########################################### [100%]
file /etc/apt/apt.conf from install of atrpms-package-config-45-1.rh9.at conflicts with file from package apt-0.5.5cnc6-fr1
file /etc/apt/rpmpriorities from install of atrpms-package-config-45-1.rh9.at conflicts with file from package apt-0.5.5cnc6-fr1
file /etc/apt/sources.list from install of atrpms-package-config-45-1.rh9.at conflicts with file from package apt-0.5.5cnc6-fr1
file /etc/apt/vendors.list from install of atrpms-package-config-45-1.rh9.at conflicts with file from package apt-0.5.5cnc6-fr1

E: Sub-process /bin/rpm returned an error code (22)


I'm a newbie so if you'd like to try and help, please don't make it too complicated in the explanation. Hope the colors help in debugging. Thanks.

--jdblanco
 
Old 01-31-2004, 02:56 PM   #2
trickykid
LQ Guru
 
Registered: Jan 2001
Posts: 24,149

Rep: Reputation: 234Reputation: 234Reputation: 234
To tell you the truth, I don't know much about apt especially on a Redhat system but I would recommend to just install mplayer and its requirements by downloading the sources. It will most likely give you less headache and give you more control over the install.

Have you tried to install by source?
 
Old 01-31-2004, 03:10 PM   #3
jblanco
LQ Newbie
 
Registered: Jan 2004
Distribution: Red Hat 9.0
Posts: 3

Original Poster
Rep: Reputation: 0
Success

I just successfully installed it using the source code. Thanks! I'd love to install a gui version is possible, but is there a source for it? I can't find one.
 
Old 01-31-2004, 04:15 PM   #4
Crashed_Again
Senior Member
 
Registered: Dec 2002
Location: Atlantic City, NJ
Distribution: Ubuntu & Arch
Posts: 3,503

Rep: Reputation: 57
I'm pretty sure you have to enable the gui when you do ./configure. I forget the exact switch. Try running:

./configure --help

for all the options. Its something like --enable-gui.
 
Old 02-01-2004, 10:37 AM   #5
jblanco
LQ Newbie
 
Registered: Jan 2004
Distribution: Red Hat 9.0
Posts: 3

Original Poster
Rep: Reputation: 0
Sucess

Thanks everyone for all your help. I got everything I needed up and running, and even a plug-in installed. Took awhile, but I'm learning one step at a time.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Mplayer/Mplayer-plugin problems Buffbannana049 Fedora 3 07-13-2005 12:22 AM
Mplayer installation minm Linux - Software 1 07-25-2004 03:36 PM
Installation problems with Mplayer Kurtz Linux - Newbie 1 02-14-2004 06:22 PM
mplayer installation easyhttp Linux - Software 1 02-13-2004 06:29 PM
mplayer installation whit2333 Linux - Software 11 02-09-2004 08:04 PM


All times are GMT -5. The time now is 05:12 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration